> ## Documentation Index
> Fetch the complete documentation index at: https://developer.fin.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Customer Wallets

> Returns all crypto wallets linked to a customer across supported chains and tokens.

<Note>
  Fin.com issued crypto wallets require pre-configuration. Contact support to learn more.
</Note>

Upon approval, the customer is provisioned wallet addresses for the following rails and currencies:

| Rail     | Currency |
| -------- | -------- |
| POLYGON  | USDC     |
| ETHEREUM | USDC     |
| SOLANA   | USDC     |


## OpenAPI

````yaml GET /v2/customers/{customer_id}/wallets
openapi: 3.1.0
info:
  title: Fin.com API
  version: 1.0.0
  description: A simple API specification
servers:
  - url: https://sandbox.api.fin.com
    description: Sandbox server
  - url: https://api.fin.com
    description: Production server
security: []
tags:
  - name: Authentication
    description: A modified OAuth 2.0 Client Credential Flow
  - name: Customers
    description: Customer management and document upload operations
  - name: Balances
    description: Retrieve wallet balance information
  - name: Catalogue
    description: |
      A set of endpoints to retrieve contextual data to assemble requests
      to fin.com's API
  - name: Beneficiaries
    description: Manage beneficiary accounts for payments and transfers
  - name: Transactions
    description: Transaction history and management for beneficiaries
  - name: Virtual Accounts
    description: Create and manage virtual accounts for USD to USDC conversions
  - name: Fees & FX Rates
    description: Retrieve fees and foreign exchange rates
paths:
  /v2/customers/{customer_id}/wallets:
    get:
      tags:
        - Customers
      summary: Get Customer Wallets
      description: >-
        Returns all crypto wallets linked to a customer across supported chains
        and tokens.
      parameters:
        - name: customer_id
          in: path
          required: true
          schema:
            type: string
          example: 765d498e-a267-4154-9d2f-9e411a0b50dd
      responses:
        '200':
          description: Customer wallets retrieved successfully
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    type: array
                    items:
                      type: object
                      properties:
                        id:
                          type: string
                          format: uuid
                          description: Unique wallet identifier.
                          example: 27dbc0f2-e5ae-444b-b4ab-0764252aedf6
                        currency:
                          type: string
                          description: Token held in this wallet.
                          example: USDC
                        rail:
                          type: string
                          description: Blockchain network for this wallet.
                          example: ETHEREUM
                        address:
                          type: string
                          description: On-chain wallet address.
                          example: '0xc42a5f7083c7e8f1d9820c7660867277289cd998'
                        balance:
                          type: number
                          description: Current wallet balance.
                          example: 10.000001
              example:
                data:
                  - id: 27dbc0f2-e5ae-444b-b4ab-0764252aedf6
                    currency: USDC
                    rail: ETHEREUM
                    address: '0xc42a5f7083c7e8f1d9820c7660867277289cd998'
                    balance: 10.000001
                  - id: e1dcce59-0309-43de-ab6c-a0bd3497b9c3
                    currency: USDC
                    rail: SOLANA
                    address: BCSZEokfpVsSpUuuZJMScLiUpYjvvUmrrAJkNbrTTnng
                    balance: 25.000001
                  - id: c92dfe1d-220e-4446-a5e4-cd7d46031ba5
                    currency: USDC
                    rail: POLYGON
                    address: '0xc42a5f7083c7e8f1d9820c7660867277289cd998'
                    balance: 13.900002
        '401':
          $ref: '#/components/responses/AuthenticationError'
        '404':
          $ref: '#/components/responses/NotFoundError'
      security:
        - bearerAuth: []
components:
  responses:
    AuthenticationError:
      description: Authentication failed due to invalid credentials
      content:
        application/json:
          schema:
            type: object
            properties:
              message:
                type: string
                example: Authentication failed
    NotFoundError:
      description: Resource not found
      content:
        application/json:
          schema:
            type: object
            properties:
              message:
                type: string
                example: Resource not found
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT
      description: >-
        Bearer token authentication. Obtain token from [Issue a
        Token](https://developer.fin.com/api-reference/authentication/issue-a-token)
        endpoint

````